sogo (5.12.4-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2025-63499 - Cross Site Scripting (XSS) (Closes: #1121952)

 -- Tobias Frost <tobi@debian.org>  Wed, 24 Dec 2025 13:18:47 +0100

sogo (5.12.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depends: libcrypt-dev. (Closes: #1106968)

 -- Adrian Bunk <bunk@debian.org>  Tue, 02 Dec 2025 22:40:17 +0200

sogo (5.12.4-1) unstable; urgency=medium

  * New upstream release.
  * Update sources download URL in copyright file.
  * Drop cherry-picked patch now included in the release.

 -- Jordi Mallach <jordi@debian.org>  Sun, 19 Oct 2025 15:47:51 +0200

sogo (5.12.3-2) unstable; urgency=medium

  * Add upstream patch to fix condition where appointments would show
    up at the wrong time.
  * Use HTTPS URLs in copyright file.
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Tue, 23 Sep 2025 01:57:10 +0200

sogo (5.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop cherry-picked patches from git, now included in the release.
  * Unvendor punycode.js using copy from node-punycode.
  * Install new SOGo API files.

 -- Jordi Mallach <jordi@debian.org>  Sun, 27 Jul 2025 16:03:08 +0200

sogo (5.12.1-3) unstable; urgency=medium

  * Add upstream patch to fix freebusy calculation.
  * Add upstream patch to use libcurl for OpenId HTTP requests.

 -- Jordi Mallach <jordi@debian.org>  Fri, 25 Jul 2025 11:26:33 +0200

sogo (5.12.1-2) unstable; urgency=medium

  * Replace vendoring of lodash, FileSaver and angularjs with packaged versions.
    (Closes: #1104813)
  * Cherry-pick post 5.12.1 fixes for OpenID and password management.

 -- Jordi Mallach <jordi@debian.org>  Fri, 06 Jun 2025 11:37:50 +0200

sogo (5.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sun, 04 May 2025 23:21:03 +0200

sogo (5.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2 (no changes needed).
  * Add Alinto to copyright holders and update years.
  * Bump Build-Depends on libsope-dev to 5.12 for OpenID support.

 -- Jordi Mallach <jordi@debian.org>  Mon, 24 Mar 2025 14:34:40 +0100

sogo (5.11.2-4) unstable; urgency=high

  [ Yavor Doganov ]
  * debian/rules (override_dh_auto_install): Patch the Apache
    configuration file to cope with multiarch (Closes: #1098311).
    Thanks Timo van Roermund for the report.
  * debian/sogo-common.install: Replace usr/share/* with usr/share/GNUstep
    because apache.conf must be in the sogo package.
  * debian/sogo.docs: Add apache.conf.
  * debian/clean: New file.
  * debian/control: Add necessary Breaks+Replaces.

 -- Jordi Mallach <jordi@debian.org>  Wed, 19 Feb 2025 17:09:40 +0100

sogo (5.11.2-3) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/rules (execute_before_dh_link): Fix piuparts regression
    (Closes: #1095275).
  * debian/control (sogo-activesync): Add necessary Breaks/Replaces.
  * debian/sogo-activesync.maintscript: New file; handle the symlink to
    directory conversion.

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Feb 2025 16:49:11 +0100

sogo (5.11.2-2) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/control (Build-Depends): Bump libsbjson-dev and libsope-dev to
    ensure the package is rebuilt for the multiarch layout. Closes: #1094304.
    Remove unnecessary gobjc; annotate python3 with :any.
  * debian/rules: Include gnustep-make's config.mk.
    (override_dh_auto_install): Fix paths when moving files.
    Delete statements handled by dh_gnustep.
    (execute_before_dh_link): Run dh_gnustep --bundle-dir to create
    symlinks and move files to sogo-common.
  * debian/sogo.install: Update for multiarch.
  * debain/sogo-activesync.install: Likewise.
  * debian/sogo-common.links: Delete.
  * debian/sogo-common.install: Add usr/lib/*/GNUstep/Libraries.
  * debian/sogo.links: New file.
  * debian/patches/libxml2.patch: Dont' hard code pkg-config.
  * debian/patches/cross.patch: New; fix FTCBFS. Closes: #1094306.

 -- Jordi Mallach <jordi@debian.org>  Sat, 01 Feb 2025 23:20:29 +0100

sogo (5.11.2-1) unstable; urgency=medium

  * New upstream release, with two important fixes introduced in 5.11.1:
    - fix a security issue with parameter SOGoForbidUnknownDomainsAuth
    - modify the message-id to avoid triggering a native spamassassin rule

 -- Jordi Mallach <jordi@debian.org>  Wed, 16 Oct 2024 17:22:54 +0200

sogo (5.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop libwbxml2 include dir patch, applied upstream.
  * Update Standards-Version to 4.7.0, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Tue, 15 Oct 2024 16:36:37 +0200

sogo (5.11.0-2) unstable; urgency=medium

  * Add patch to obtain libwbxml2 cflags using pkgconf (closes: #1080139).

 -- Jordi Mallach <jordi@debian.org>  Thu, 05 Sep 2024 08:04:37 +0200

sogo (5.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch Build-Depend on pkg-config to pkgconf.

 -- Jordi Mallach <jordi@debian.org>  Mon, 12 Aug 2024 14:15:07 +0200

sogo (5.10.0-3) unstable; urgency=medium

  * Only expect 1 test to fail (test is documented to be broken upstream).
  * Instead, disable the isIPv4 check in the test suite, as that one fails
    on certain scenarios (closes: #1073428).

 -- Jordi Mallach <jordi@debian.org>  Wed, 19 Jun 2024 22:54:50 +0200

sogo (5.10.0-2) unstable; urgency=medium

  * Revert number of expected test failures to 2 (closes #1063617).
  * Add bug closer to previous changelog entry.
  * Do not run testsuite if `nocheck` is part of DEB_BUILD_OPTIONS.

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Mar 2024 22:47:37 +0100

sogo (5.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix watch to allow for double digit components of a version.
  * Update copyright years and download URL.
  * Refresh patches.

 -- Jordi Mallach <jordi@debian.org>  Mon, 25 Mar 2024 23:57:51 +0100

sogo (5.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Revert all unvendoring changes as they completely break SOGo.
  * Rely on dh_installinit to install the systemd service file
    (closes: #1054486).
  * Refresh Remove-build-date.patch.
  * Update number of expected test failures to 1.
  * Release to unstable.

 -- Jordi Mallach <jordi@debian.org>  Wed, 07 Feb 2024 16:39:36 +0100

sogo (5.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh Remove-build-date patch.
  * Fix replacement of vendored JS libraries with packaged versions
    (closes: #1042529).
  * Drop unneeded Build-Depends on js libs.

 -- Jordi Mallach <jordi@debian.org>  Tue, 28 Nov 2023 09:46:18 +0100

sogo (5.8.4-2) unstable; urgency=medium

  * Use Debian packaged version of ckeditor, angularjs, lodash and
    punycode (closes: #1042529).

 -- Jordi Mallach <jordi@debian.org>  Fri, 08 Sep 2023 14:23:23 +0200

sogo (5.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Jun 2023 00:11:31 +0200

sogo (5.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.2, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Mon, 19 Jun 2023 01:29:24 +0200

sogo (5.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 May 2023 15:52:15 +0200

sogo (5.8.0-1) unstable; urgency=medium

  * New upstream release.
    - fixes sync CalDAV/CardDAV sync errors (closes: #1023177).
  * Update watch file with new download URL.
  * Drop destination-calendars-of-new-components.patch.
  * Update copyright years.
  * Refresh patches.
  * Update lintian-overrides to new syntax.

 -- Jordi Mallach <jordi@debian.org>  Thu, 01 Dec 2022 12:47:54 +0100

sogo (5.7.1-3) unstable; urgency=medium

  * Add upstream patch to fix destination dropdown for new Calendar
    components.

 -- Jordi Mallach <jordi@debian.org>  Mon, 03 Oct 2022 13:07:58 +0200

sogo (5.7.1-2) unstable; urgency=medium

  * Reverse the systemd | tmpreaper dependency.
  * Override dh_auto_test to make tests non-fatal on BE arches.
    The sogotest tool that runs the unit test fails on big endian
    architectures. While this is investigated, make tests non-fatal
    on those environments.

 -- Jordi Mallach <jordi@debian.org>  Thu, 25 Aug 2022 15:28:48 +0200

sogo (5.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Lower the number of expected test failures to 2.
  * Require libsope-dev 5.7.1, for its new IPv6 support.

 -- Jordi Mallach <jordi@debian.org>  Thu, 25 Aug 2022 11:07:28 +0200

sogo (5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Thu, 16 Jun 2022 14:06:05 +0200

sogo (5.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Fix bug number in 5.5.0-1 changelog entry.
  * Add sql migration script for 5.5.1 → 5.6.0.
  * Add NEWS entry with upgrade instructions for 5.6.0.
  * Update the number of failing patches.

 -- Jordi Mallach <jordi@debian.org>  Tue, 17 May 2022 09:11:18 +0200

sogo (5.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Correct location of backup dir (closes: #1002559).
  * Refresh patches as needed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 04 Feb 2022 20:35:04 +0100

sogo (5.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove reference to lack of S/MIME support in README.Debian.
    (Closes: #1003878)
  * Update source lintian overrides.

 -- Jordi Mallach <jordi@debian.org>  Tue, 25 Jan 2022 19:46:58 +0100

sogo (5.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Add changelog entries for buster & bullseye security releases.

 -- Jordi Mallach <jordi@debian.org>  Sat, 08 Jan 2022 13:20:56 +0100

sogo (5.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add CVE and bug closer to 5.1.1-1 changelog entry.
  * Refresh patch.
  * Update source lintian-overrides with new false positive error.

 -- Jordi Mallach <jordi@debian.org>  Fri, 19 Nov 2021 23:47:35 +0100

sogo (5.2.0-3) unstable; urgency=medium

  * Update overrides to match current Lintian.
  * Upload to unstable after transit through NEW.

 -- Jordi Mallach <jordi@debian.org>  Mon, 08 Nov 2021 14:18:43 +0100

sogo (5.2.0-2) experimental; urgency=medium

  * Add ActiveSync support (thanks Gürkan Myczko; closes: #968367).

 -- Jordi Mallach <jordi@debian.org>  Mon, 01 Nov 2021 16:36:08 +0100

sogo (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0.
  * Add upstream metadata.
  * Refresh patches.
  * Add libytnef-dev to Build-Depends for MS-TNEF support.

 -- Jordi Mallach <jordi@debian.org>  Thu, 23 Sep 2021 18:09:23 +0200

sogo (5.1.1-1) unstable; urgency=medium

  * New upstream release
    - [CVE-2021-33054] fixes validation of SAML message signatures
      (closes: #989479)

 -- Jordi Mallach <jordi@debian.org>  Tue, 17 Aug 2021 00:54:43 +0200

sogo (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update source lintian-overrides.

 -- Jordi Mallach <jordi@debian.org>  Thu, 08 Apr 2021 23:56:43 +0200

sogo (5.0.1-4+deb11u1) bullseye-security; urgency=high

  * [CVE-2021-33054] fixes validation of SAML message signatures
    (closes: #989479)
  * Switch gbp debian branch to bullseye.

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Nov 2021 21:44:21 +0100

sogo (5.0.1-4) unstable; urgency=medium

  * Build against OpenSSL, now that ftpmaster considers it a system
    library. The GnuTLS codepath in SOGo is basically only used by
    Debian/Ubuntu and is a source of many grave problems in SOGo
    (closes: #981595).
  * Don't run isLocalhost test, which is known to fail in many
    build environments (not in official buildds, though) (closes: #980678).

 -- Jordi Mallach <jordi@debian.org>  Tue, 02 Feb 2021 01:28:14 +0100

sogo (5.0.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Jan 2021 13:39:15 +0100

sogo (5.0.1-2) experimental; urgency=medium

  * Reduce the number of expected testsuite failures to 3. One of the
    failing tests is now passing on the new version.

 -- Jordi Mallach <jordi@debian.org>  Mon, 11 Jan 2021 16:26:15 +0100

sogo (5.0.1-1) unstable; urgency=medium

  * New upstream release (closes: #972523).
    + fixes connection issues to IMAP servers with GnuTLS (closes: #932081)
    + fixes webmail view with GnuTLS (closes: #975049)
  * Update watch file to look for any X.Y.Z version.
  * Enable Multi-Factor Authentication support.
  * Build-Depend on libsodium-dev to enable argon2 password schemes.
  * Drop gcc10.patch, now included in upstream version.
  * Refresh patches.
  * Update Standards-Version to 4.5.1.
  * Add missing Build-Depends on libzip-dev.
  * Bump libsope-dev requirement to >= 5.

 -- Jordi Mallach <jordi@debian.org>  Mon, 30 Nov 2020 15:02:24 +0100

sogo (4.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Explicitly install CHANGELOG.md as upstream changelog.
  * Make build use pkg-config instead of xml2-config (closes: #949497).
  * Build-Depend on pkg-config.
  * Bump debhelper compat to v13.
  * Fix builds with gcc-10 (closes: #957826).
  * Refresh patches.

 -- Jordi Mallach <jordi@debian.org>  Wed, 22 Jul 2020 18:56:01 +0200

sogo (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add python3.patch to make gen-saml2-exceptions.py python3 compatible.
  * Switch Build-Depends to python3 (closes: #943277).
  * Update Standards-Version to 4.5.0.
  * Drop NEWS, which has been renamed to CHANGELOG.md.

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Feb 2020 13:14:02 +0100

sogo (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete override for dh_mkshlibdeps.
  * Revert changes to cron.daily script (closes: #944023)

 -- Jordi Mallach <jordi@debian.org>  Wed, 06 Nov 2019 12:03:35 +0100

sogo (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compat v12, using debhelper-compat B-D.
  * Update to Standards-Version 4.4.1.
  * Refresh sogo.init and sogo.cron.daily from upstream versions.
  * Do not pass --fail-missing to dh_install.
  * Update source lintian overrides.
  * Drop references to OpenChange, which is gone from sources.
  * Add Pre-Depends: ${misc:Pre-Depends} as suggested by lintian.

 -- Jordi Mallach <jordi@debian.org>  Thu, 31 Oct 2019 12:44:55 +0100

sogo (4.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Update source lintian-overrides.
  * Omit signedViewer altogether when not using openssl.
    Thanks Hanno Stock <hanno.stock@indurad.com> for the patch.
    (Closes: #889994)

 -- Jordi Mallach <jordi@debian.org>  Wed, 31 Jul 2019 10:54:23 +0200

sogo (4.0.7-1+deb10u2) buster-security; urgency=high

  * [CVE-2021-33054] fixes validation of SAML message signatures
    (closes: #989479)

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Nov 2021 22:36:02 +0100

sogo (4.0.7-1+deb10u1) buster; urgency=medium

  * Omit signedViewer altogether when not using openssl.
    Thanks Hanno Stock <hanno.stock@indurad.com> for the patch.
    (Closes: #889994)
  * Set debian-branch to buster in gbp.conf.

 -- Jordi Mallach <jordi@debian.org>  Thu, 01 Aug 2019 14:19:34 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog sogo`.
